/**
 * @file
 * LATEST PROJECT slider.
*/

.latest-project {
  padding-top: rem(50);
  padding-bottom: rem(50);
  @include global-bg-image('latest-project-bg-new.jpg', center center, cover);
  @include relative(z-index 1);

  &::before {
    content: '';
    width: 100%;
    height: 100%;
    background-color: $blue;
    @include opacity(0.65);
    @include absolute(right 0 left 0 top 0 z-index -1);
  }

  h2 {
    color: $yellow;
    margin-bottom: rem(20);
    &:after {
      content: '';
      width: rem(50);
      background-color: $yellow;
      height: rem(5);
      display: block;
      margin: rem(8) auto 0;
    }
  }
  p {
    margin-bottom: rem(30);
  }
  ul {
    text-align: left;
    li {
      @include media-breakpoint-up(lg) {
        float: left;
        width: 50%;
      }
    }
  }
  &__items {
    margin: 0 rem(5);
    img {
      @include border-radius(5px);
    }

    .project__content {
      width: 100%;
      padding: rem(15);
      background-color: rgba($blue, 0.6);

      @include fontSize(18);
      @include border-radius(0 0 5px 5px);
      @include transition(bottom 0.2s);
      @include absolute(right 0 bottom -100% left 0);
    }

    &:hover {
      .project__content {
        bottom: 0;
      }
    }
  }
}


.paragraph--type--project-listing-section {
  padding-top: rem(40);
  .our-services {
    &__grid {
      padding-top: rem(30);
    }
    &__items {
      background-color: transparent;
      color: inherit;
      margin-bottom: rem(15);
      &:not(:last-child) {
        &::after {
          background: $gray-800;
        }
      }
      @include media-breakpoint-up(lg) {
        &:nth-child(4n) {
          &::after {
            display: none;
          }
        }
      }
      @include media-breakpoint-down(md) {
        &:nth-child(2n) {
          &::after {
            display: none;
          }
        }
      }
      @include media-breakpoint-up(lg) {
        &:hover {
          box-shadow: 0 0 rem(7) $gray-800;
        }
      }
    }
    &__inner {
      padding-bottom: rem(15);
      h4 {
        color: $blue;
        font-weight: bold;
        padding: rem(5) 0 rem(16);
        margin-bottom: rem(16);
        @include fontSize(18);
        @include media-breakpoint-down(sm) {
          height: auto !important;
        }
        &:after {
          background: $blue;
          width: 100%;
        }
      }
      p {
        line-height: 1.8;
        margin-bottom: 1.875rem;
        @include fontSize(13);
      }
    }
    &--icon {
      width: auto;
      height: auto;
      min-height: rem(250);
      overflow: hidden;
      border: 0 none;
      background: transparent;
      margin: 0;
      @include border-radius(0);
      @include media-breakpoint-down(sm) {
        min-height: inherit;
      }
      img {
        max-height: rem(220);
        @include media-breakpoint-down(sm) {
          max-height: rem(180);
          max-width: rem(180);
        }
      }
    }
  }
}
